GNU bug report logs - #11697
24.1.50; ERC scroll-to-bottom functionality 'broken' in emacs 24.1.x

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Brian Fransioli <assem@HIDDEN>; merged with #14573, #16697; dated Wed, 13 Jun 2012 16:28:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 11697 <at> debbugs.gnu.org:


Received: (at 11697) by debbugs.gnu.org; 4 Feb 2016 06:13:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 04 01:13:14 2016
Received: from localhost ([127.0.0.1]:58825 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aRDAH-0005qc-Ud
	for submit <at> debbugs.gnu.org; Thu, 04 Feb 2016 01:13:14 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:42731)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <larsi@HIDDEN>)
 id 1aRDAF-0005qQ-Cb; Thu, 04 Feb 2016 01:13:11 -0500
Received: from cpe-60-225-211-161.nsw.bigpond.net.au ([60.225.211.161]
 helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1aRD9s-0000EU-HE; Thu, 04 Feb 2016 07:12:49 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Ivan Kanis <ivan@HIDDEN>
Subject: Re: bug#16697: 24.3.50;
 ERC scrolltobottom module does not work anymore
References: <87ha892un8.fsf@HIDDEN> <83wqh5uxjj.fsf@HIDDEN>
 <87ha88r57d.fsf@HIDDEN> <83iosouryz.fsf@HIDDEN>
 <87iosm1xl8.fsf@HIDDEN> <83bnyetih6.fsf@HIDDEN>
 <87fvnqc8if.fsf@HIDDEN> <834n45txk7.fsf@HIDDEN>
 <874n45k1vi.fsf@HIDDEN>
 <CANdFEAHaS5a_9ZKE_YGX07155rjF5m-2ZmSCT2gxQ7EjMWwALg@HIDDEN>
 <3f38jpe2k5.fsf@HIDDEN> <87r478cffg.fsf@HIDDEN>
 <87lh8f8u0u.fsf@HIDDEN> <8737um75l9.fsf@HIDDEN>
Date: Thu, 04 Feb 2016 17:12:42 +1100
In-Reply-To: <8737um75l9.fsf@HIDDEN> (Ivan Kanis's message of "Mon, 28 Dec
 2015 20:09:38 +0100")
Message-ID: <87oabxypet.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1aRD9s-0000EU-HE
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1455171169.57875@q67J95GNMB/Swp8UyDGefQ
X-Spam-Status: No
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 11697
Cc: Glenn Morris <rgm@HIDDEN>, 11697 <at> debbugs.gnu.org, 16697 <at> debbugs.gnu.org,
 Josh <josh@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Ivan Kanis <ivan@HIDDEN> writes:

> Hi Lars,
>
> The problem remains.

Ok, I've done some further reading of the many threads and references
here, and I'm still not quite sure what the bug is.  :-)

Do you have a recipe starting from emacs -Q that demonstrates what
happens, and could you describe what you wanted to have happen instead?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11697; Package emacs. Full text available.

Message received at 11697 <at> debbugs.gnu.org:


Received: (at 11697) by debbugs.gnu.org; 28 Dec 2015 19:11:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 28 14:11:24 2015
Received: from localhost ([127.0.0.1]:46717 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aDdCW-00089k-6j
	for submit <at> debbugs.gnu.org; Mon, 28 Dec 2015 14:11:24 -0500
Received: from smtp.kanis.fr ([46.19.35.252]:48822)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <ivan@HIDDEN>)
 id 1aDdCU-00089S-5R; Mon, 28 Dec 2015 14:11:22 -0500
Received: from [176.152.90.105] (helo=tao)
 by smtp.kanis.fr with esmtpsa (TLS1.2:DHE_RSA_AES_128_CBC_SHA1:128)
 (Exim 4.84) (envelope-from <ivan@HIDDEN>)
 id 1aDdCP-0008MN-Ee; Mon, 28 Dec 2015 20:11:17 +0100
From: Ivan Kanis <ivan@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#16697: 24.3.50;
 ERC scrolltobottom module does not work anymore
References: <87ha892un8.fsf@HIDDEN> <83wqh5uxjj.fsf@HIDDEN>
 <87ha88r57d.fsf@HIDDEN> <83iosouryz.fsf@HIDDEN>
 <87iosm1xl8.fsf@HIDDEN> <83bnyetih6.fsf@HIDDEN>
 <87fvnqc8if.fsf@HIDDEN> <834n45txk7.fsf@HIDDEN>
 <874n45k1vi.fsf@HIDDEN>
 <CANdFEAHaS5a_9ZKE_YGX07155rjF5m-2ZmSCT2gxQ7EjMWwALg@HIDDEN>
 <3f38jpe2k5.fsf@HIDDEN> <87r478cffg.fsf@HIDDEN>
 <87lh8f8u0u.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAAXNSR0IArs4c6QAAAB5QTFRF
 IBkXUxMTOCwoTC4qcUY8iFxQmmper31txpaJ/v/8aKZ1oAAAAcVJREFUOMt100tu2zAQAFDCXnUZ
 oAcIqG68LZULVLQBbwuSiffm6AIRRyeotAySJoVu2+FPpJWWC3/4NKOZocSW/yxWfnJ2+Bdwzhj7
 8gleWVy7DXC2rkMNr2V/zRbghXIwthf3VbIA9Ffc71vZCSFyCEsBggtNS8ludwvfmhYA0Vn9o4DP
 zMWxR7+cPWzAYFzwM0ModtdmcDbDS6i/hT7L+RZof5yCXGrYe5jn2YO6BYMjgY+51tCIAqHgBLwR
 pwLnGuRjAKyBJkuN4yd4U92uCY1vUr2D/c5b8DuxyQwfOHUeaLqDJhnkkuGXbB56h2C1IVBdgncc
 bBi6feroa9B6jUDojnQPQKupbyXyeeCE1oT7Oqrt+SnfY3mkiyGA/3AmD3H5g32CcBx6hY8pRkwJ
 9PpcjRGobUfprFnhAa1vepwcgMOhwG+pdSgKHFU9HAvoAH6XUl7lDUCCq5Qb6GMbVm3Aj++qDYCt
 wdBc/YHgOFCmS3mjDMRcSE2qY4E3Q3PVIQRQmeodNH4QEbRUFZzW+VotzwX4yTcRTySOML1qjcE5
 hTirVqDHkMAP0PjAywp3d18JZtqzvr9zDYD+GaSKtE6Zlr/DLPNFmOcvBAAAAABJRU5ErkJggg==
X-Hashcash: 1:20:151228:16697 <at> debbugs.gnu.org::YxVQJbAMPMa7LGLK:000000000000000000000000000000000000000001SP
X-Hashcash: 1:20:151228:larsi@HIDDEN::jCKAau9KWcKQznNR:0001Vbj
X-Hashcash: 1:20:151228:11697 <at> debbugs.gnu.org::8Of8eEnqYQsrkXOy:00000000000000000000000000000000000000001IbX
X-Hashcash: 1:20:151228:josh@HIDDEN::I/zh5xbiVF/vSrYN:058nf
X-Hashcash: 1:20:151228:rgm@HIDDEN::zYoa0PJdI+nWmHN4:000000GaNa
Date: Mon, 28 Dec 2015 20:11:16 +0100
In-Reply-To: <87lh8f8u0u.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 27 Dec 2015 22:24:17 +0100")
Message-ID: <87y4ce5qy3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 11697
Cc: Glenn Morris <rgm@HIDDEN>, 11697 <at> debbugs.gnu.org, 16697 <at> debbugs.gnu.org,
 Josh <josh@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

December, 27 at 22:24 Lars wrote:

> It's unclear what the conclusion of these bug reports were.  Was this
> fixed or does the problem remain?

I forgot to mention I am running on a recent master:

7e9da9f [8 weeks ago] ; Shorten TODO list in file-notify-tests.el
[Michael Albinus]

-- 
In this world nothing can be said to be certain,
except death and taxes.
    -- Benjamin Franklin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11697; Package emacs. Full text available.

Message received at 11697 <at> debbugs.gnu.org:


Received: (at 11697) by debbugs.gnu.org; 28 Dec 2015 19:09:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 28 14:09:49 2015
Received: from localhost ([127.0.0.1]:46710 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aDdAz-00086r-KB
	for submit <at> debbugs.gnu.org; Mon, 28 Dec 2015 14:09:49 -0500
Received: from smtp.kanis.fr ([46.19.35.252]:48818)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <ivan@HIDDEN>)
 id 1aDdAy-00086Y-6V; Mon, 28 Dec 2015 14:09:48 -0500
Received: from [176.152.90.105] (helo=tao)
 by smtp.kanis.fr with esmtpsa (TLS1.2:DHE_RSA_AES_128_CBC_SHA1:128)
 (Exim 4.84) (envelope-from <ivan@HIDDEN>)
 id 1aDdAr-0008Lw-SO; Mon, 28 Dec 2015 20:09:41 +0100
From: Ivan Kanis <ivan@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#16697: 24.3.50;
 ERC scrolltobottom module does not work anymore
References: <87ha892un8.fsf@HIDDEN> <83wqh5uxjj.fsf@HIDDEN>
 <87ha88r57d.fsf@HIDDEN> <83iosouryz.fsf@HIDDEN>
 <87iosm1xl8.fsf@HIDDEN> <83bnyetih6.fsf@HIDDEN>
 <87fvnqc8if.fsf@HIDDEN> <834n45txk7.fsf@HIDDEN>
 <874n45k1vi.fsf@HIDDEN>
 <CANdFEAHaS5a_9ZKE_YGX07155rjF5m-2ZmSCT2gxQ7EjMWwALg@HIDDEN>
 <3f38jpe2k5.fsf@HIDDEN> <87r478cffg.fsf@HIDDEN>
 <87lh8f8u0u.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAAXNSR0IArs4c6QAAAB5QTFRF
 IBkXUxMTOCwoTC4qcUY8iFxQmmper31txpaJ/v/8aKZ1oAAAAcVJREFUOMt100tu2zAQAFDCXnUZ
 oAcIqG68LZULVLQBbwuSiffm6AIRRyeotAySJoVu2+FPpJWWC3/4NKOZocSW/yxWfnJ2+Bdwzhj7
 8gleWVy7DXC2rkMNr2V/zRbghXIwthf3VbIA9Ffc71vZCSFyCEsBggtNS8ludwvfmhYA0Vn9o4DP
 zMWxR7+cPWzAYFzwM0ModtdmcDbDS6i/hT7L+RZof5yCXGrYe5jn2YO6BYMjgY+51tCIAqHgBLwR
 pwLnGuRjAKyBJkuN4yd4U92uCY1vUr2D/c5b8DuxyQwfOHUeaLqDJhnkkuGXbB56h2C1IVBdgncc
 bBi6feroa9B6jUDojnQPQKupbyXyeeCE1oT7Oqrt+SnfY3mkiyGA/3AmD3H5g32CcBx6hY8pRkwJ
 9PpcjRGobUfprFnhAa1vepwcgMOhwG+pdSgKHFU9HAvoAH6XUl7lDUCCq5Qb6GMbVm3Aj++qDYCt
 wdBc/YHgOFCmS3mjDMRcSE2qY4E3Q3PVIQRQmeodNH4QEbRUFZzW+VotzwX4yTcRTySOML1qjcE5
 hTirVqDHkMAP0PjAywp3d18JZtqzvr9zDYD+GaSKtE6Zlr/DLPNFmOcvBAAAAABJRU5ErkJggg==
X-Hashcash: 1:20:151228:16697 <at> debbugs.gnu.org::6xWVm7dH3t4rfHRs:00000000000000000000000000000000000000001ROp
X-Hashcash: 1:20:151228:josh@HIDDEN::StwBWU1imO9aAsQj:01k2Y
X-Hashcash: 1:20:151228:rgm@HIDDEN::/e7jsPCTNP8Gpc8+:0000003Gtk
X-Hashcash: 1:20:151228:larsi@HIDDEN::hg1eolL9BPdXh+KW:0005Ecv
X-Hashcash: 1:20:151228:11697 <at> debbugs.gnu.org::5XbpjZYK0kRvS++4:000000000000000000000000000000000000000079Kp
Date: Mon, 28 Dec 2015 20:09:38 +0100
In-Reply-To: <87lh8f8u0u.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 27 Dec 2015 22:24:17 +0100")
Message-ID: <8737um75l9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 11697
Cc: Glenn Morris <rgm@HIDDEN>, 11697 <at> debbugs.gnu.org, 16697 <at> debbugs.gnu.org,
 Josh <josh@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi Lars,

The problem remains.

December, 27 at 22:24 Lars wrote:

> It's unclear what the conclusion of these bug reports were.  Was this
> fixed or does the problem remain?

-- 
At Group L, Stoffel oversees six first-rate programmers, a
managerial challenge roughly comparable to herding cats.
    -- Anonymous , 1985-06-09 , The Washington Post




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11697; Package emacs. Full text available.

Message received at 11697 <at> debbugs.gnu.org:


Received: (at 11697) by debbugs.gnu.org; 27 Dec 2015 21:24:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 27 16:24:42 2015
Received: from localhost ([127.0.0.1]:44988 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aDIny-00047S-7Z
	for submit <at> debbugs.gnu.org; Sun, 27 Dec 2015 16:24:42 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:57879)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <larsi@HIDDEN>)
 id 1aDInw-00047E-5n; Sun, 27 Dec 2015 16:24:40 -0500
Received: from 2.150.58.24.tmi.telenormobil.no ([2.150.58.24] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1aDIna-00043M-65; Sun, 27 Dec 2015 22:24:18 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Ivan Kanis <ivan@HIDDEN>
Subject: Re: bug#16697: 24.3.50;
 ERC scrolltobottom module does not work anymore
References: <87ha892un8.fsf@HIDDEN> <83wqh5uxjj.fsf@HIDDEN>
 <87ha88r57d.fsf@HIDDEN> <83iosouryz.fsf@HIDDEN>
 <87iosm1xl8.fsf@HIDDEN> <83bnyetih6.fsf@HIDDEN>
 <87fvnqc8if.fsf@HIDDEN> <834n45txk7.fsf@HIDDEN>
 <874n45k1vi.fsf@HIDDEN>
 <CANdFEAHaS5a_9ZKE_YGX07155rjF5m-2ZmSCT2gxQ7EjMWwALg@HIDDEN>
 <3f38jpe2k5.fsf@HIDDEN> <87r478cffg.fsf@HIDDEN>
Date: Sun, 27 Dec 2015 22:24:17 +0100
In-Reply-To: <87r478cffg.fsf@HIDDEN> (Ivan Kanis's message of "Wed, 12
 Feb 2014 20:13:39 +0100")
Message-ID: <87lh8f8u0u.fsf@HIDDEN>
User-Agent: Gnus/5.130014 (Ma Gnus v0.14) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1aDIna-00043M-65
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1451856258.97627@+UZDNA46Oo4Hhe3Y/VwoMw
X-Spam-Status: No
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 11697
Cc: Glenn Morris <rgm@HIDDEN>, 11697 <at> debbugs.gnu.org, 16697 <at> debbugs.gnu.org,
 Josh <josh@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

It's unclear what the conclusion of these bug reports were.  Was this
fixed or does the problem remain?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11697; Package emacs. Full text available.
Forcibly Merged 11697 14573 16697. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug unarchived. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug closed, send any further explanations to 11697 <at> debbugs.gnu.org and Brian Fransioli <assem@HIDDEN> Request was from Ivan Kanis <ivan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Disconnected #14573 from all other report(s). Request was from Ivan Kanis <ivan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 11697 14573. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 11697 <at> debbugs.gnu.org:


Received: (at 11697) by debbugs.gnu.org; 8 Feb 2013 05:06:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 08 00:06:13 2013
Received: from localhost ([127.0.0.1]:42741 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U3gA8-00071i-V2
	for submit <at> debbugs.gnu.org; Fri, 08 Feb 2013 00:06:13 -0500
Received: from mail-qe0-f56.google.com ([209.85.128.56]:55395)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <maden.ldm@HIDDEN>) id 1U3gA7-00071b-Al
	for 11697 <at> debbugs.gnu.org; Fri, 08 Feb 2013 00:06:12 -0500
Received: by mail-qe0-f56.google.com with SMTP id 6so1106228qea.1
	for <11697 <at> debbugs.gnu.org>; Thu, 07 Feb 2013 21:06:09 -0800 (PST)
X-Received: by 10.49.15.38 with SMTP id u6mr366969qec.8.1360299969706; Thu, 07
	Feb 2013 21:06:09 -0800 (PST)
Path: glegroupsg2000goo.googlegroups.com!not-for-mail
Newsgroups: gnu.emacs.bug
Date: Thu, 7 Feb 2013 21:06:09 -0800 (PST)
In-Reply-To: <mailman.2844.1339743011.855.bug-gnu-emacs@HIDDEN>
Complaints-To: groups-abuse@HIDDEN
Injection-Info: glegroupsg2000goo.googlegroups.com; posting-host=66.36.130.164;
	posting-account=jkQ7zgkAAAC3KD2h5n64VURJM5lj8WOg
NNTP-Posting-Host: 66.36.130.164
References: <87ipevji6m.fsf@HIDDEN> <4FD8F1F4.6080809@HIDDEN>
	<87ehpiz0iu.fsf@HIDDEN> <4FDA4EBC.2080703@HIDDEN>
	<87sjdxobbh.fsf@HIDDEN> <jwvhaud49oi.fsf-monnier+emacs@HIDDEN>
	<mailman.2844.1339743011.855.bug-gnu-emacs@HIDDEN>
User-Agent: G2/1.0
X-Google-Web-Client: true
X-Google-IP: 66.36.130.164
MIME-Version: 1.0
Message-ID: <a1522552-4f70-42c8-99c0-9248ad2ad977@HIDDEN>
Subject: Re: bug#11697: 24.1.50; ERC scroll-to-bottom functionality 'broken'
	in emacs 24.1.x
From: maden.ldm@HIDDEN
To: gnu.emacs.bug@HIDDEN
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 11697
Cc: 11697 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.7 (/)

On Friday, June 15, 2012 2:49:43 AM UTC-4, Antoine Levitt wrote:
> 15/06/12 04:00, Stefan Monnier
> 
> >> to emacs and has nothing to do with ERC in particular. For instance, I
> 
> >> also want my shell buffers not to scroll past the end of
> 
> >> buffers. Actually I think (but am not sure ; it would require testing)
> 
> >> I'd want all buffers to behave that way, and never, ever display
> 
> >> anything past the end of the buffer.
> 
> >
> 
> > How 'bout setting scroll-conservatively to 1000?
> 
> >
> 
> >
> 
> >         Stefan
> 
> 
> 
> Even with scroll-conservatively, there are situations where the
> 
> centering displays stuff after the buffer end, by playing around with
> 
> C-v / M-v. Another way is to find a file, M->, then C-x 2 and C-x
> 
> 1. There's a lot of other ways. This is in contrast with most
> 
> editors/browsers, which don't allow you to scroll past the end of the
> 
> buffer, ever. I'm not 100% sure whether I want that behavior for emacs
> 
> generally. However, I do want it for ERC / shells.

Was this ever resolved? I personally still experience it with a freshly compiled version.

GNU Emacs 24.2.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.10) of 2013-02-07 on linux-e2bl
ERC Version 5.3 (GNU Emacs 24.2.1)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11697; Package emacs. Full text available.

Message received at 11697 <at> debbugs.gnu.org:


Received: (at 11697) by debbugs.gnu.org; 15 Jun 2012 06:52:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 15 02:52:55 2012
Received: from localhost ([127.0.0.1]:43554 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SfQOt-0002eD-3U
	for submit <at> debbugs.gnu.org; Fri, 15 Jun 2012 02:52:55 -0400
Received: from mail-we0-f172.google.com ([74.125.82.172]:59541)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <antoine.levitt@HIDDEN>) id 1SfQOp-0002e4-Vk
	for 11697 <at> debbugs.gnu.org; Fri, 15 Jun 2012 02:52:53 -0400
Received: by werb13 with SMTP id b13so1828947wer.3
	for <11697 <at> debbugs.gnu.org>; Thu, 14 Jun 2012 23:49:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=from:to:cc:subject:references:date:message-id:user-agent
	:mime-version:content-type;
	bh=/KPyAWIno9ugrti0LshgU95bUMskzyaH354jXEBVmWU=;
	b=1Dc+DvdNqQsmmf/L2tl/X94b1pUGbdjT9PBxuoo1FjQkitgoWQm+inDbHDLms+uhYJ
	XhkZIrLN4eI6ZsMPVBeeLSWVZE7VVtU8CrE4C2cWr19JPyeejQ5z5c2f5Bhge7Op+/yE
	/e3zU51GQE8BvrDMwgo6XPyKH+McMwfZz/lqm3mnicGt0r5WBXT31cnBg4EamI9vUp6/
	xFy3i2kDPmpWcW3ps+d6oJI8uRB87dSNmmfRaZzuf8XON6jrUSbgck45I5b/lPlRoGbe
	Z3VP/w3ywQSedbGQm8k0N9pir/sxqyfGK2HPSDlmJOBrxHkWaDSg0ddIzRXqRGxTXM0C
	SDPA==
Received: by 10.180.105.234 with SMTP id gp10mr1733911wib.11.1339742986732;
	Thu, 14 Jun 2012 23:49:46 -0700 (PDT)
Received: from lambda (ney92-7-78-233-218-202.fbx.proxad.net. [78.233.218.202])
	by mx.google.com with ESMTPS id i10sm2283786wiy.10.2012.06.14.23.49.44
	(version=TLSv1/SSLv3 cipher=OTHER);
	Thu, 14 Jun 2012 23:49:45 -0700 (PDT)
From: Antoine Levitt <antoine.levitt@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#11697: 24.1.50;
	ERC scroll-to-bottom functionality 'broken' in emacs 24.1.x
References: <87ipevji6m.fsf@HIDDEN>
	<4FD8F1F4.6080809@HIDDEN> <87ehpiz0iu.fsf@HIDDEN>
	<4FDA4EBC.2080703@HIDDEN> <87sjdxobbh.fsf@HIDDEN>
	<jwvhaud49oi.fsf-monnier+emacs@HIDDEN>
Date: Fri, 15 Jun 2012 08:49:43 +0200
Message-ID: <877gv9nk6w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 11697
Cc: 11697 <at> debbugs.gnu.org, Deniz Dogan <deniz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

15/06/12 04:00, Stefan Monnier
>> to emacs and has nothing to do with ERC in particular. For instance, I
>> also want my shell buffers not to scroll past the end of
>> buffers. Actually I think (but am not sure ; it would require testing)
>> I'd want all buffers to behave that way, and never, ever display
>> anything past the end of the buffer.
>
> How 'bout setting scroll-conservatively to 1000?
>
>
>         Stefan

Even with scroll-conservatively, there are situations where the
centering displays stuff after the buffer end, by playing around with
C-v / M-v. Another way is to find a file, M->, then C-x 2 and C-x
1. There's a lot of other ways. This is in contrast with most
editors/browsers, which don't allow you to scroll past the end of the
buffer, ever. I'm not 100% sure whether I want that behavior for emacs
generally. However, I do want it for ERC / shells.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11697; Package emacs. Full text available.

Message received at 11697 <at> debbugs.gnu.org:


Received: (at 11697) by debbugs.gnu.org; 15 Jun 2012 02:03:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 14 22:03:52 2012
Received: from localhost ([127.0.0.1]:43462 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SfLt9-0004gE-RL
	for submit <at> debbugs.gnu.org; Thu, 14 Jun 2012 22:03:52 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:32086)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1SfLt8-0004g8-JH
	for 11697 <at> debbugs.gnu.org; Thu, 14 Jun 2012 22:03:50 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Ai0FAG6Zu09sr+aN/2dsb2JhbABEsEiDSYEIghUBAQQBViMFCws0EhQYDSSIHAW6CZBEA6MzgViDBQ
X-IronPort-AV: E=Sophos;i="4.75,637,1330923600"; d="scan'208";a="191458147"
Received: from 108-175-230-141.dsl.teksavvy.com (HELO pastel.home)
	([108.175.230.141])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	14 Jun 2012 22:00:53 -0400
Received: by pastel.home (Postfix, from userid 20848)
	id 098B159726; Thu, 14 Jun 2012 22:00:52 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Antoine Levitt <antoine.levitt@HIDDEN>
Subject: Re: bug#11697: 24.1.50;
	ERC scroll-to-bottom functionality 'broken' in emacs 24.1.x
Message-ID: <jwvhaud49oi.fsf-monnier+emacs@HIDDEN>
References: <87ipevji6m.fsf@HIDDEN>
	<4FD8F1F4.6080809@HIDDEN> <87ehpiz0iu.fsf@HIDDEN>
	<4FDA4EBC.2080703@HIDDEN> <87sjdxobbh.fsf@HIDDEN>
Date: Thu, 14 Jun 2012 22:00:52 -0400
In-Reply-To: <87sjdxobbh.fsf@HIDDEN> (Antoine Levitt's message of "Thu, 14
	Jun 2012 23:03:46 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 11697
Cc: 11697 <at> debbugs.gnu.org, Deniz Dogan <deniz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

> to emacs and has nothing to do with ERC in particular. For instance, I
> also want my shell buffers not to scroll past the end of
> buffers. Actually I think (but am not sure ; it would require testing)
> I'd want all buffers to behave that way, and never, ever display
> anything past the end of the buffer.

How 'bout setting scroll-conservatively to 1000?


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11697; Package emacs. Full text available.

Message received at 11697 <at> debbugs.gnu.org:


Received: (at 11697) by debbugs.gnu.org; 14 Jun 2012 21:13:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 14 17:13:41 2012
Received: from localhost ([127.0.0.1]:42710 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SfHML-0006VJ-3P
	for submit <at> debbugs.gnu.org; Thu, 14 Jun 2012 17:13:41 -0400
Received: from mxf5.bahnhof.se ([213.80.101.29]:49944)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <deniz@HIDDEN>) id 1SfHMJ-0006VD-Hv
	for 11697 <at> debbugs.gnu.org; Thu, 14 Jun 2012 17:13:40 -0400
Received: from localhost (mxf5.local [127.0.0.1])
	by mxf5-reinject (Postfix) with ESMTP id 65194CF0DE;
	Thu, 14 Jun 2012 23:10:45 +0200 (CEST)
X-Virus-Scanned: by amavisd-new using ClamAV at bahnhof.se (MXF1)
X-Spam-Score: -2.382
X-Spam-Level: 
X-Spam-Status: No, score=-2.382 tagged_above=-99 required=5 tests=[AWL=0.217, 
	BAYES_00=-2.599]
Received: from mxf5.bahnhof.se ([127.0.0.1])
	by localhost (mxf5.bahnhof.se [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id KtAOLDbLUBeP; Thu, 14 Jun 2012 23:10:43 +0200 (CEST)
Received: from [192.168.1.4] (h-149-227.a336.priv.bahnhof.se [37.123.149.227])
	by mxf5.bahnhof.se (Postfix) with ESMTP id 2C906CF0DB;
	Thu, 14 Jun 2012 23:10:43 +0200 (CEST)
Message-ID: <4FDA5342.8090006@HIDDEN>
Date: Thu, 14 Jun 2012 23:10:26 +0200
From: Deniz Dogan <deniz@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64;
	rv:13.0) Gecko/20120604 Thunderbird/13.0
MIME-Version: 1.0
To: Antoine Levitt <antoine.levitt@HIDDEN>
Subject: Re: bug#11697: 24.1.50; ERC scroll-to-bottom functionality 'broken'
	in emacs 24.1.x
References: <87ipevji6m.fsf@HIDDEN>
	<4FD8F1F4.6080809@HIDDEN> <87ehpiz0iu.fsf@HIDDEN>
	<4FDA4EBC.2080703@HIDDEN> <87sjdxobbh.fsf@HIDDEN>
In-Reply-To: <87sjdxobbh.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 11697
Cc: 11697 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

On 2012-06-14 23:03,, Antoine Levitt wrote:
> 14/06/12 22:51, Deniz Dogan
>> The excessive CPU consumption comes from the fact that it nowadays
>> uses post-command-hook, which is executed just about all the time.  :)
>
> I don't think so, I had excessive CPU consumption before the code used
> post-command-hook (main way to trigger is to hold a random key down
> while watching the result of top. It's already appalling in ERC without
> erc-scrolltobottom, but it's even worth with it).
>
> The way I see it, this scrolltobottom thing is a problem that is global
> to emacs and has nothing to do with ERC in particular. For instance, I
> also want my shell buffers not to scroll past the end of
> buffers. Actually I think (but am not sure ; it would require testing)
> I'd want all buffers to behave that way, and never, ever display
> anything past the end of the buffer. An ideal solution would be a local
> variable, that'd inhibit "bad" recentering (and therefore would not
> incur any performance loss, as I believe the main loss is when a hook
> recenters after it has already been recentered). But that's more
> ambitious.
>

I agree.  Another improvement, especially for IRC clients, would be to 
allow for buffers to start growing from the bottom of the window, much 
like Irssi and mIRC.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11697; Package emacs. Full text available.

Message received at 11697 <at> debbugs.gnu.org:


Received: (at 11697) by debbugs.gnu.org; 14 Jun 2012 21:06:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 14 17:06:56 2012
Received: from localhost ([127.0.0.1]:42705 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SfHFk-0006M4-6M
	for submit <at> debbugs.gnu.org; Thu, 14 Jun 2012 17:06:56 -0400
Received: from mail-wg0-f46.google.com ([74.125.82.46]:44301)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <antoine.levitt@HIDDEN>) id 1SfHFd-0006Lt-Pw
	for 11697 <at> debbugs.gnu.org; Thu, 14 Jun 2012 17:06:50 -0400
Received: by wgbdq10 with SMTP id dq10so2118059wgb.15
	for <11697 <at> debbugs.gnu.org>; Thu, 14 Jun 2012 14:03:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=from:to:cc:subject:references:date:in-reply-to:message-id
	:user-agent:mime-version:content-type;
	bh=YIgqGNez2vQvRLIe9pwJ8BXaZimDJPVi6HTXBXQJ/VE=;
	b=zcCJGwTfupLWHtma8YNGWYYx+gf4n2yzwOsMYx1PL0CaxjzqXEgedyI1cJvjHqWWWb
	9cRMxAvTS5xCmzvhD8JCLzvQf91oS7X5MqrL2ytYIv2sCohu2unJtCFB546xpeKkGVzR
	a5Ab9Hmwer3yg6XrZLSKcjpiP+MAf6ynKBQAeR258vbf5zIMbowiyw45zd87fjCLrFjk
	4FZ+wJ3RgwQ1qpLYfXFpM+1q2bHaUt8zqNIoGDkZ6bPC83hCj+pJFXZ0Y03/3XEs0nn5
	m7lPCwRC03gUZpGS/rWBegVXiAxC73dKshcOuqrFkX8v2NChCwzxc8RChT2lvOAuBxh3
	ouag==
Received: by 10.180.103.42 with SMTP id ft10mr49480849wib.18.1339707829817;
	Thu, 14 Jun 2012 14:03:49 -0700 (PDT)
Received: from lambda (ney92-7-78-233-218-202.fbx.proxad.net. [78.233.218.202])
	by mx.google.com with ESMTPS id gc6sm20930802wib.0.2012.06.14.14.03.47
	(version=TLSv1/SSLv3 cipher=OTHER);
	Thu, 14 Jun 2012 14:03:48 -0700 (PDT)
From: Antoine Levitt <antoine.levitt@HIDDEN>
To: Deniz Dogan <deniz@HIDDEN>
Subject: Re: bug#11697: 24.1.50;
	ERC scroll-to-bottom functionality 'broken' in emacs 24.1.x
References: <87ipevji6m.fsf@HIDDEN>
	<4FD8F1F4.6080809@HIDDEN> <87ehpiz0iu.fsf@HIDDEN>
	<4FDA4EBC.2080703@HIDDEN>
Date: Thu, 14 Jun 2012 23:03:46 +0200
In-Reply-To: <4FDA4EBC.2080703@HIDDEN> (Deniz Dogan's message of "Thu, 14
	Jun 2012 22:51:08 +0200")
Message-ID: <87sjdxobbh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 11697
Cc: 11697 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

14/06/12 22:51, Deniz Dogan
>>> Firstly, I agree with you completely that scrolltobottom needs
>>> improvements.  I can't be sure why they changed the behavior, since
>>> the new method is clearly inferior, but I believe it's because
>>> window-scroll-functions is never meant to change "the way the window
>>> is scrolled".
>>
>> Hi,
>>
>> I'm responsible for the mess. Sorry, I don't customize
>> erc-input-line-position, and it didn't occur to me that it might mess
>> things up. I tried to think of something better for erc-scrolltobottom,
>> but I'm not familiar with erc internals and that was the best I could
>> do. The reason for the change was that as you said,
>> window-scroll-functions is not intended to be used like that, and it
>> caused weird bugs.
>>
>>> I've monkey-patched ERC myself to handle the whole thing better.  I've
>>> attached the Lisp.  Just evaluate all the code and you'll be all
>>> set. (I know it's not production-quality code, but it does the job and
>>> relieves you from ever thinking about it again.)
>>
>> Great! Could you submit a proper patch, so that Someone (tm; there seems
>> to be a lack of maintainers for ERC) can review it and merge it into
>> trunk? erc-scrolltobottom has been broken for years, with weird bugs and
>> excessive CPU consumption, and it's high time it changed.
>>
>
> The excessive CPU consumption comes from the fact that it nowadays
> uses post-command-hook, which is executed just about all the time.  :)

I don't think so, I had excessive CPU consumption before the code used
post-command-hook (main way to trigger is to hold a random key down
while watching the result of top. It's already appalling in ERC without
erc-scrolltobottom, but it's even worth with it).

The way I see it, this scrolltobottom thing is a problem that is global
to emacs and has nothing to do with ERC in particular. For instance, I
also want my shell buffers not to scroll past the end of
buffers. Actually I think (but am not sure ; it would require testing)
I'd want all buffers to behave that way, and never, ever display
anything past the end of the buffer. An ideal solution would be a local
variable, that'd inhibit "bad" recentering (and therefore would not
incur any performance loss, as I believe the main loss is when a hook
recenters after it has already been recentered). But that's more
ambitious.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11697; Package emacs. Full text available.

Message received at 11697 <at> debbugs.gnu.org:


Received: (at 11697) by debbugs.gnu.org; 14 Jun 2012 20:54:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 14 16:54:27 2012
Received: from localhost ([127.0.0.1]:42701 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SfH3i-00064t-R9
	for submit <at> debbugs.gnu.org; Thu, 14 Jun 2012 16:54:27 -0400
Received: from mxf1.bahnhof.se ([213.80.101.25]:58783)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <deniz@HIDDEN>) id 1SfH3f-00064g-RQ
	for 11697 <at> debbugs.gnu.org; Thu, 14 Jun 2012 16:54:25 -0400
Received: from localhost (mxf1.local [127.0.0.1])
	by mxf1-reinject (Postfix) with ESMTP id 18BD01E3144;
	Thu, 14 Jun 2012 22:51:29 +0200 (CEST)
X-Virus-Scanned: by amavisd-new using ClamAV at bahnhof.se (MXF1)
X-Spam-Score: -2.351
X-Spam-Level: 
X-Spam-Status: No, score=-2.351 tagged_above=-99 required=5 tests=[AWL=0.248, 
	BAYES_00=-2.599]
Received: from mxf1.bahnhof.se ([127.0.0.1])
	by localhost (mxf1.bahnhof.se [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id ca9sj8Le2jnW; Thu, 14 Jun 2012 22:51:25 +0200 (CEST)
Received: from [192.168.1.4] (h-149-227.a336.priv.bahnhof.se [37.123.149.227])
	by mxf1.bahnhof.se (Postfix) with ESMTP id 77AE61E30E8;
	Thu, 14 Jun 2012 22:51:25 +0200 (CEST)
Message-ID: <4FDA4EBC.2080703@HIDDEN>
Date: Thu, 14 Jun 2012 22:51:08 +0200
From: Deniz Dogan <deniz@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64;
	rv:13.0) Gecko/20120604 Thunderbird/13.0
MIME-Version: 1.0
To: Antoine Levitt <antoine.levitt@HIDDEN>
Subject: Re: bug#11697: 24.1.50; ERC scroll-to-bottom functionality 'broken'
	in emacs 24.1.x
References: <87ipevji6m.fsf@HIDDEN>
	<4FD8F1F4.6080809@HIDDEN> <87ehpiz0iu.fsf@HIDDEN>
In-Reply-To: <87ehpiz0iu.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 11697
Cc: 11697 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

On 2012-06-14 11:49,, Antoine Levitt wrote:
> 13/06/12 22:03, Deniz Dogan
>> On 2012-06-13 18:22,, Brian Fransioli wrote:
>>>
>>> After updating to emacs 24.1.x I noticed ERC scroll functionality
>>> changed.  Originally, it would recenter to force the prompt to be near
>>> the bottom of the screen (according to `erc-input-line-position').  Now,
>>> this recentering only happens when I enter text, or perform a mouse
>>> event.  Channel joins/parts and new messages hit the bottom of the
>>> screen, and recentering moves the bottom line to the center of the
>>> buffer.
>>>
>>> The overall effect is input by the user moves the screen to the bottom,
>>> while channel/server inputs bounce around from middle to bottom and back
>>> again.
>>>
>>> Looking in erc-goodies.el at `erc-add-scroll-bottom', it's easy to see
>>> the documentation is also out of date.  It states it uses
>>> `window-scroll-functions' but instead adds the hook to
>>> `post-command-hook'.
>>>
>>> Examining commits, I found the culprit:
>>>
>>> commit:
>>> a1d63e03c3eda51dcec158d6027adf9dbdcfd8dd
>>>
>>> view changes via git emacs web:
>>> http://git.savannah.gnu.org/cgit/emacs.git/commit/lisp/erc/erc-goodies.el?id=a1d63e03c3eda51dcec158d6027adf9dbdcfd8dd
>>>
>>>
>>> I see that the changes were reported to fix a bug on tty's, but the
>>> results are severe motion sickness for even moderately chatty channels.
>>>
>>> Reproduce by:
>>> (erc-scrolltobottom-mode)
>>> (setq erc-input-line-position -2)
>>>
>>> Regards,
>>> Brian
>>>
>>
>> Firstly, I agree with you completely that scrolltobottom needs
>> improvements.  I can't be sure why they changed the behavior, since
>> the new method is clearly inferior, but I believe it's because
>> window-scroll-functions is never meant to change "the way the window
>> is scrolled".
>
> Hi,
>
> I'm responsible for the mess. Sorry, I don't customize
> erc-input-line-position, and it didn't occur to me that it might mess
> things up. I tried to think of something better for erc-scrolltobottom,
> but I'm not familiar with erc internals and that was the best I could
> do. The reason for the change was that as you said,
> window-scroll-functions is not intended to be used like that, and it
> caused weird bugs.
>
>> I've monkey-patched ERC myself to handle the whole thing better.  I've
>> attached the Lisp.  Just evaluate all the code and you'll be all
>> set. (I know it's not production-quality code, but it does the job and
>> relieves you from ever thinking about it again.)
>
> Great! Could you submit a proper patch, so that Someone (tm; there seems
> to be a lack of maintainers for ERC) can review it and merge it into
> trunk? erc-scrolltobottom has been broken for years, with weird bugs and
> excessive CPU consumption, and it's high time it changed.
>

The excessive CPU consumption comes from the fact that it nowadays uses 
post-command-hook, which is executed just about all the time.  :)

Unfortunately, my patch (ab)uses window-scroll-functions, so it's really 
no better than the way ERC was before.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11697; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Jun 2012 09:52:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 14 05:52:57 2012
Received: from localhost ([127.0.0.1]:41911 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Sf6jY-0004vx-CB
	for submit <at> debbugs.gnu.org; Thu, 14 Jun 2012 05:52:56 -0400
Received: from eggs.gnu.org ([208.118.235.92]:43027)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Sf6jV-0004vp-A5
	for submit <at> debbugs.gnu.org; Thu, 14 Jun 2012 05:52:54 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Sf6gc-0002ZF-Ke
	for submit <at> debbugs.gnu.org; Thu, 14 Jun 2012 05:50:00 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_HI autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:50124)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Sf6gc-0002Z8-He
	for submit <at> debbugs.gnu.org; Thu, 14 Jun 2012 05:49:54 -0400
Received: from eggs.gnu.org ([208.118.235.92]:36352)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Sf6gW-0002xV-8j
	for bug-gnu-emacs@HIDDEN; Thu, 14 Jun 2012 05:49:54 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Sf6gP-0002XI-PA
	for bug-gnu-emacs@HIDDEN; Thu, 14 Jun 2012 05:49:47 -0400
Received: from plane.gmane.org ([80.91.229.3]:43056)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Sf6gP-0002X8-IZ
	for bug-gnu-emacs@HIDDEN; Thu, 14 Jun 2012 05:49:41 -0400
Received: from list by plane.gmane.org with local (Exim 4.69)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Sf6gL-0002cP-1B
	for bug-gnu-emacs@HIDDEN; Thu, 14 Jun 2012 11:49:37 +0200
Received: from portable48.ceremade.dauphine.fr ([193.48.71.48])
	by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
	id 1AlnuQ-0007hv-00
	for <bug-gnu-emacs@HIDDEN>; Thu, 14 Jun 2012 11:49:36 +0200
Received: from antoine.levitt by portable48.ceremade.dauphine.fr with local
	(Gmexim 0.1 (Debian)) id 1AlnuQ-0007hv-00
	for <bug-gnu-emacs@HIDDEN>; Thu, 14 Jun 2012 11:49:36 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Antoine Levitt <antoine.levitt@HIDDEN>
Subject: Re: bug#11697: 24.1.50;
	ERC scroll-to-bottom functionality 'broken' in emacs 24.1.x
Date: Thu, 14 Jun 2012 11:49:13 +0200
Lines: 65
Message-ID: <87ehpiz0iu.fsf@HIDDEN>
References: <87ipevji6m.fsf@HIDDEN> <4FD8F1F4.6080809@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: portable48.ceremade.dauphine.fr
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1.50 (gnu/linux)
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

13/06/12 22:03, Deniz Dogan
> On 2012-06-13 18:22,, Brian Fransioli wrote:
>>
>> After updating to emacs 24.1.x I noticed ERC scroll functionality
>> changed.  Originally, it would recenter to force the prompt to be near
>> the bottom of the screen (according to `erc-input-line-position').  Now,
>> this recentering only happens when I enter text, or perform a mouse
>> event.  Channel joins/parts and new messages hit the bottom of the
>> screen, and recentering moves the bottom line to the center of the
>> buffer.
>>
>> The overall effect is input by the user moves the screen to the bottom,
>> while channel/server inputs bounce around from middle to bottom and back
>> again.
>>
>> Looking in erc-goodies.el at `erc-add-scroll-bottom', it's easy to see
>> the documentation is also out of date.  It states it uses
>> `window-scroll-functions' but instead adds the hook to
>> `post-command-hook'.
>>
>> Examining commits, I found the culprit:
>>
>> commit:
>> a1d63e03c3eda51dcec158d6027adf9dbdcfd8dd
>>
>> view changes via git emacs web:
>> http://git.savannah.gnu.org/cgit/emacs.git/commit/lisp/erc/erc-goodies.el?id=a1d63e03c3eda51dcec158d6027adf9dbdcfd8dd
>>
>>
>> I see that the changes were reported to fix a bug on tty's, but the
>> results are severe motion sickness for even moderately chatty channels.
>>
>> Reproduce by:
>> (erc-scrolltobottom-mode)
>> (setq erc-input-line-position -2)
>>
>> Regards,
>> Brian
>>
>
> Firstly, I agree with you completely that scrolltobottom needs
> improvements.  I can't be sure why they changed the behavior, since
> the new method is clearly inferior, but I believe it's because
> window-scroll-functions is never meant to change "the way the window
> is scrolled".

Hi,

I'm responsible for the mess. Sorry, I don't customize
erc-input-line-position, and it didn't occur to me that it might mess
things up. I tried to think of something better for erc-scrolltobottom,
but I'm not familiar with erc internals and that was the best I could
do. The reason for the change was that as you said,
window-scroll-functions is not intended to be used like that, and it
caused weird bugs.

> I've monkey-patched ERC myself to handle the whole thing better.  I've
> attached the Lisp.  Just evaluate all the code and you'll be all
> set. (I know it's not production-quality code, but it does the job and
> relieves you from ever thinking about it again.)

Great! Could you submit a proper patch, so that Someone (tm; there seems
to be a lack of maintainers for ERC) can review it and merge it into
trunk? erc-scrolltobottom has been broken for years, with weird bugs and
excessive CPU consumption, and it's high time it changed.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11697; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Jun 2012 07:37:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 14 03:37:51 2012
Received: from localhost ([127.0.0.1]:41758 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Sf4co-0001sB-Sk
	for submit <at> debbugs.gnu.org; Thu, 14 Jun 2012 03:37:51 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45665)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Sf4cl-0001s4-PZ
	for submit <at> debbugs.gnu.org; Thu, 14 Jun 2012 03:37:49 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Sf4Zt-0004vp-T2
	for submit <at> debbugs.gnu.org; Thu, 14 Jun 2012 03:34:55 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_HI autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:43712)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Sf4Zt-0004vj-Or
	for submit <at> debbugs.gnu.org; Thu, 14 Jun 2012 03:34:49 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47775)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Sf4Zn-0003o6-Nt
	for bug-gnu-emacs@HIDDEN; Thu, 14 Jun 2012 03:34:49 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Sf4Zj-0004uk-BB
	for bug-gnu-emacs@HIDDEN; Thu, 14 Jun 2012 03:34:43 -0400
Received: from plane.gmane.org ([80.91.229.3]:52875)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Sf4Zj-0004ue-4D
	for bug-gnu-emacs@HIDDEN; Thu, 14 Jun 2012 03:34:39 -0400
Received: from list by plane.gmane.org with local (Exim 4.69)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Sf4Za-0003Nv-PH
	for bug-gnu-emacs@HIDDEN; Thu, 14 Jun 2012 09:34:30 +0200
Received: from c-71-237-25-24.hsd1.co.comcast.net ([71.237.25.24])
	by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
	id 1AlnuQ-0007hv-00
	for <bug-gnu-emacs@HIDDEN>; Thu, 14 Jun 2012 09:34:30 +0200
Received: from kevin.d.rodgers by c-71-237-25-24.hsd1.co.comcast.net with
	local (Gmexim 0.1 (Debian)) id 1AlnuQ-0007hv-00
	for <bug-gnu-emacs@HIDDEN>; Thu, 14 Jun 2012 09:34:30 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Kevin Rodgers <kevin.d.rodgers@HIDDEN>
Subject: Re: bug#11697: 24.1.50; ERC scroll-to-bottom functionality 'broken'
	in emacs 24.1.x
Date: Thu, 14 Jun 2012 01:35:15 -0600
Lines: 11
Message-ID: <jrc45q$v9f$1@HIDDEN>
References: <87ipevji6m.fsf@HIDDEN> <4FD8F1F4.6080809@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: c-71-237-25-24.hsd1.co.comcast.net
User-Agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.4; en-US;
	rv:1.9.2.28) Gecko/20120306 Thunderbird/3.1.20
In-Reply-To: <4FD8F1F4.6080809@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

On 6/13/12 2:03 PM, Deniz Dogan wrote:
...
> (I know it's not
> production-quality code, but it does the job and relieves you from ever thinking
> about it again.)

Hah!

-- 
Kevin Rodgers
Denver, Colorado, USA





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11697; Package emacs. Full text available.

Message received at 11697 <at> debbugs.gnu.org:


Received: (at 11697) by debbugs.gnu.org; 13 Jun 2012 20:06:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 13 16:06:15 2012
Received: from localhost ([127.0.0.1]:41255 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SetpW-0002MO-CK
	for submit <at> debbugs.gnu.org; Wed, 13 Jun 2012 16:06:15 -0400
Received: from mxf5.bahnhof.se ([213.80.101.29]:61210)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <deniz@HIDDEN>) id 1SetpQ-0002MB-VA
	for 11697 <at> debbugs.gnu.org; Wed, 13 Jun 2012 16:06:13 -0400
Received: from localhost (mxf5.local [127.0.0.1])
	by mxf5-reinject (Postfix) with ESMTP id 14116CF0E6;
	Wed, 13 Jun 2012 22:03:20 +0200 (CEST)
X-Virus-Scanned: by amavisd-new using ClamAV at bahnhof.se (MXF1)
X-Spam-Score: -2.332
X-Spam-Level: 
X-Spam-Status: No, score=-2.332 tagged_above=-99 required=5 tests=[AWL=0.267, 
	BAYES_00=-2.599]
Received: from mxf5.bahnhof.se ([127.0.0.1])
	by localhost (mxf5.bahnhof.se [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id 7nsqMW8tP0yn; Wed, 13 Jun 2012 22:03:17 +0200 (CEST)
Received: from [192.168.1.4] (h-149-227.a336.priv.bahnhof.se [37.123.149.227])
	by mxf5.bahnhof.se (Postfix) with ESMTP id A9E86CF0D8;
	Wed, 13 Jun 2012 22:03:16 +0200 (CEST)
Message-ID: <4FD8F1F4.6080809@HIDDEN>
Date: Wed, 13 Jun 2012 22:03:00 +0200
From: Deniz Dogan <deniz@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64;
	rv:13.0) Gecko/20120604 Thunderbird/13.0
MIME-Version: 1.0
To: Brian Fransioli <assem@HIDDEN>
Subject: Re: bug#11697: 24.1.50; ERC scroll-to-bottom functionality 'broken'
	in emacs 24.1.x
References: <87ipevji6m.fsf@HIDDEN>
In-Reply-To: <87ipevji6m.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="------------020202080606020004000400"
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 11697
Cc: 11697 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

This is a multi-part message in MIME format.
--------------020202080606020004000400
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit

On 2012-06-13 18:22,, Brian Fransioli wrote:
>
> After updating to emacs 24.1.x I noticed ERC scroll functionality
> changed.  Originally, it would recenter to force the prompt to be near
> the bottom of the screen (according to `erc-input-line-position').  Now,
> this recentering only happens when I enter text, or perform a mouse
> event.  Channel joins/parts and new messages hit the bottom of the
> screen, and recentering moves the bottom line to the center of the
> buffer.
>
> The overall effect is input by the user moves the screen to the bottom,
> while channel/server inputs bounce around from middle to bottom and back
> again.
>
> Looking in erc-goodies.el at `erc-add-scroll-bottom', it's easy to see
> the documentation is also out of date.  It states it uses
> `window-scroll-functions' but instead adds the hook to
> `post-command-hook'.
>
> Examining commits, I found the culprit:
>
> commit:
> a1d63e03c3eda51dcec158d6027adf9dbdcfd8dd
>
> view changes via git emacs web:
> http://git.savannah.gnu.org/cgit/emacs.git/commit/lisp/erc/erc-goodies.el?id=a1d63e03c3eda51dcec158d6027adf9dbdcfd8dd
>
>
> I see that the changes were reported to fix a bug on tty's, but the
> results are severe motion sickness for even moderately chatty channels.
>
> Reproduce by:
> (erc-scrolltobottom-mode)
> (setq erc-input-line-position -2)
>
> Regards,
> Brian
>

Firstly, I agree with you completely that scrolltobottom needs 
improvements.  I can't be sure why they changed the behavior, since the 
new method is clearly inferior, but I believe it's because 
window-scroll-functions is never meant to change "the way the window is 
scrolled".

I've monkey-patched ERC myself to handle the whole thing better.  I've 
attached the Lisp.  Just evaluate all the code and you'll be all set. 
(I know it's not production-quality code, but it does the job and 
relieves you from ever thinking about it again.)

Deniz

--------------020202080606020004000400
Content-Type: text/plain; charset=windows-1252;
 name="erc-better-scroll.el"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="erc-better-scroll.el"

(defun erc-display-line-1 (string buffer)
  "Display STRING in `erc-mode' BUFFER.
Auxiliary function used in `erc-display-line'.  The line gets filtered to
interpret the control characters.  Then, `erc-insert-pre-hook' gets called.
If `erc-insert-this' is still t, STRING gets inserted into the buffer.
Afterwards, `erc-insert-modify' and `erc-insert-post-hook' get called.
If STRING is nil, the function does nothing."
  (when string
    (with-current-buffer (or buffer (process-buffer erc-server-process))
      (let ((insert-position (or (marker-position erc-insert-marker)
				 (point-max))))
	(let ((string string) ;; FIXME! Can this be removed?
	      (buffer-undo-list t)
	      (inhibit-read-only t))
	  (unless (string-match "\n$" string)
	    (setq string (concat string "\n"))
	    (when (erc-string-invisible-p string)
	      (erc-put-text-properties 0 (length string)
				       '(invisible intangible) string)))
	  (erc-log (concat "erc-display-line: " string
			   (format "(%S)" string) " in buffer "
			   (format "%s" buffer)))
	  (setq erc-insert-this t)
	  (run-hook-with-args 'erc-insert-pre-hook string)
	  (if (null erc-insert-this)
	      ;; Leave erc-insert-this set to t as much as possible.  Fran
	      ;; Litterio <franl> has seen erc-insert-this set to nil while
	      ;; erc-send-pre-hook is running, which should never happen.  This
	      ;; may cure it.
	      (setq erc-insert-this t)
	    (save-excursion ;; to restore point in the new buffer
	      (save-restriction
		(widen)
		(goto-char insert-position)
		(insert-before-markers string)
		;; run insertion hook, with point at restored location
		(save-restriction
		  (narrow-to-region insert-position (point))
		  (run-hooks 'erc-insert-modify-hook)
		  (run-hooks 'erc-insert-post-hook)
		  (when erc-remove-parsed-property
		    (remove-text-properties (point-min) (point-max)
					    '(erc-parsed nil))))))))
	(erc-update-undo-list (- (or (marker-position erc-insert-marker)
				     (point-max))
				 insert-position)))
      (run-hooks 'erc-display-post-hook)))) ;;; this line and only this line was added

(defvar erc-display-post-hook nil
  "New hook!")

(defun damd-erc-display-post-hook ()
  (let ((windows (get-buffer-window-list (current-buffer) nil 'visible)))
    (dolist (w windows)
      (when (>= (point) erc-input-marker)
        (with-selected-window w
          (recenter -1))))))
(add-hook 'erc-display-post-hook 'damd-erc-display-post-hook)

(defun damd-erc-send-post-hook ()
  (when (>= (point) erc-input-marker)
    (goto-char (point-max))
    (widen)
    (recenter -1)))
(add-hook 'erc-send-post-hook 'damd-erc-send-post-hook)

(defun damd-window-configuration-change-hook ()
  (when (and (eq major-mode 'erc-mode)
             (>= (point) erc-input-marker))
    (recenter -1)))
(add-hook 'window-configuration-change-hook 'damd-window-configuration-change-hook)

--------------020202080606020004000400--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11697; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Jun 2012 16:27:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 13 12:27:59 2012
Received: from localhost ([127.0.0.1]:41131 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SeqQG-0004FP-B6
	for submit <at> debbugs.gnu.org; Wed, 13 Jun 2012 12:27:58 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53588)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <assem@HIDDEN>) id 1SeqNU-0004BJ-4o
	for submit <at> debbugs.gnu.org; Wed, 13 Jun 2012 12:25:07 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <assem@HIDDEN>) id 1SepxO-0002ET-1T
	for submit <at> debbugs.gnu.org; Wed, 13 Jun 2012 11:58:18 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:39918)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <assem@HIDDEN>) id 1SepxN-0002EH-NV
	for submit <at> debbugs.gnu.org; Wed, 13 Jun 2012 11:58:05 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51747)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <assem@HIDDEN>) id 1SepxD-0001RY-GQ
	for bug-gnu-emacs@HIDDEN; Wed, 13 Jun 2012 11:58:04 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <assem@HIDDEN>) id 1Sepx2-0002C6-Lh
	for bug-gnu-emacs@HIDDEN; Wed, 13 Jun 2012 11:57:53 -0400
Received: from mail-pz0-f41.google.com ([209.85.210.41]:32852)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <assem@HIDDEN>) id 1Sepx2-0002AP-1G
	for bug-gnu-emacs@HIDDEN; Wed, 13 Jun 2012 11:57:44 -0400
Received: by dakp5 with SMTP id p5so1283708dak.0
	for <bug-gnu-emacs@HIDDEN>; Wed, 13 Jun 2012 08:57:39 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
	d=google.com; s=20120113;
	h=from:to:subject:date:message-id:mime-version:content-type
	:x-gm-message-state;
	bh=SGBoPAu572Eb7zr4A3Yoy00xTxZkSNtF9WddZuHJpLw=;
	b=XUzWA9FPHUP8J/CR93oWO+lS0RpVkKW5WBVw9cK6tvAlYNxEnlNcoThVV7mu+9DHL6
	maOpbvghrFqI0dvW2leAYfowoj0nHkBlDe4SnKrXLwr12J6hbrx8rrSJc7xfbwdS8lxF
	CPV/EIsZ+9chOTAFe+CVDF9f710t7EZ80TKE8MO7eV+H4JyKFP41exFnxCaNaVaNLc1X
	iFXm0NV4qwNgEt75yTLzsWZULP0U/BzBvKUvwDb0VQGifyg5U4iF6X8UfECj/L9mQMmP
	Og0QBvSAaFFJ3hNCdUgb/8s2DPEo33PJG7MdWwRA/+YEICHWvgGxXTdJCKe4n3ncfIOo
	QS9w==
Received: by 10.68.211.41 with SMTP id mz9mr51031102pbc.12.1339603059505;
	Wed, 13 Jun 2012 08:57:39 -0700 (PDT)
Received: from localhost ([210.57.232.242])
	by mx.google.com with ESMTPS id ku7sm6157535pbc.31.2012.06.13.08.57.35
	(version=TLSv1/SSLv3 cipher=OTHER);
	Wed, 13 Jun 2012 08:57:38 -0700 (PDT)
From: Brian Fransioli <assem@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.1.50; ERC scroll-to-bottom functionality 'broken' in emacs 24.1.x
Date: Thu, 14 Jun 2012 01:22:09 +0900
Message-ID: <87ipevji6m.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Gm-Message-State: ALoCoQmBK+v8IO6ksfAMZDeJCwWFdvdrhCf5cuLbbN5Amecr+u1pLTVOTSTz/NfN7E0LsOEHKfKp
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 13 Jun 2012 12:27:54 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)


After updating to emacs 24.1.x I noticed ERC scroll functionality
changed.  Originally, it would recenter to force the prompt to be near
the bottom of the screen (according to `erc-input-line-position').  Now,
this recentering only happens when I enter text, or perform a mouse
event.  Channel joins/parts and new messages hit the bottom of the
screen, and recentering moves the bottom line to the center of the
buffer.

The overall effect is input by the user moves the screen to the bottom,
while channel/server inputs bounce around from middle to bottom and back
again.

Looking in erc-goodies.el at `erc-add-scroll-bottom', it's easy to see
the documentation is also out of date.  It states it uses
`window-scroll-functions' but instead adds the hook to
`post-command-hook'.

Examining commits, I found the culprit:

commit:
a1d63e03c3eda51dcec158d6027adf9dbdcfd8dd

view changes via git emacs web:
http://git.savannah.gnu.org/cgit/emacs.git/commit/lisp/erc/erc-goodies.el?id=a1d63e03c3eda51dcec158d6027adf9dbdcfd8dd


I see that the changes were reported to fix a bug on tty's, but the
results are severe motion sickness for even moderately chatty channels.

Reproduce by:
(erc-scrolltobottom-mode)
(setq erc-input-line-position -2)

Regards,
Brian

=====

In GNU Emacs 24.1.50.1 (i686-pc-linux-gnu, GTK+ Version 2.20.1)
 of 2012-06-13 on pringles
Bzr revision: 108574 rgm@HIDDEN
Windowing system distributor `NetSarang Computer, Inc.', version 11.0.4004
Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: ERC

Minor modes in effect:
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-networks-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-pcomplete-mode: t
  yas/global-mode: t
  yas/minor-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  which-function-mode: t
  ido-everywhere: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
Type C-x 1 to delete the help window.
Quit
mouse-2, RET: find variable's definition
Loading cc-langs...done
Loading semanticdb-file...done [2 times]
Loading vc-bzr...done [5 times]
Making completion list...
Quit [2 times]
Mark set
Quit
Quit

Load-path shadows:
~/code/org-mode/contrib/lisp/htmlize hides /home/terranpro/elisp/htmlize
/home/terranpro/code/cedet/speedbar/speedbar hides /usr/local/share/emacs/24.1.50/lisp/speedbar
/home/terranpro/code/gnus/lisp/color hides /usr/local/share/emacs/24.1.50/lisp/color
/home/terranpro/code/gnus/lisp/format-spec hides /usr/local/share/emacs/24.1.50/lisp/format-spec
/home/terranpro/code/gnus/lisp/hex-util hides /usr/local/share/emacs/24.1.50/lisp/hex-util
/home/terranpro/code/cedet/speedbar/dframe hides /usr/local/share/emacs/24.1.50/lisp/dframe
/home/terranpro/code/gnus/lisp/password-cache hides /usr/local/share/emacs/24.1.50/lisp/password-cache
/home/terranpro/code/cedet/common/ezimage hides /usr/local/share/emacs/24.1.50/lisp/ezimage
/home/terranpro/code/cedet/speedbar/sb-image hides /usr/local/share/emacs/24.1.50/lisp/sb-image
/home/terranpro/code/gnus/lisp/md4 hides /usr/local/share/emacs/24.1.50/lisp/md4
/home/terranpro/code/gnus/lisp/dns-mode hides /usr/local/share/emacs/24.1.50/lisp/textmodes/dns-mode
~/code/org-mode/lisp/org-xoxo hides /usr/local/share/emacs/24.1.50/lisp/org/org-xoxo
~/code/org-mode/lisp/ob-table hides /usr/local/share/emacs/24.1.50/lisp/org/ob-table
~/code/org-mode/lisp/ob-calc hides /usr/local/share/emacs/24.1.50/lisp/org/ob-calc
~/code/org-mode/lisp/ob-latex hides /usr/local/share/emacs/24.1.50/lisp/org/ob-latex
~/code/org-mode/lisp/ob-R hides /usr/local/share/emacs/24.1.50/lisp/org/ob-R
~/code/org-mode/lisp/ob-awk hides /usr/local/share/emacs/24.1.50/lisp/org/ob-awk
~/code/org-mode/lisp/org-eshell hides /usr/local/share/emacs/24.1.50/lisp/org/org-eshell
~/code/org-mode/lisp/org-install hides /usr/local/share/emacs/24.1.50/lisp/org/org-install
~/code/org-mode/lisp/ob-gnuplot hides /usr/local/share/emacs/24.1.50/lisp/org/ob-gnuplot
~/code/org-mode/lisp/ob-octave hides /usr/local/share/emacs/24.1.50/lisp/org/ob-octave
~/code/org-mode/lisp/ob-python hides /usr/local/share/emacs/24.1.50/lisp/org/ob-python
~/code/org-mode/lisp/org-mew hides /usr/local/share/emacs/24.1.50/lisp/org/org-mew
~/code/org-mode/lisp/org-habit hides /usr/local/share/emacs/24.1.50/lisp/org/org-habit
~/code/org-mode/lisp/org-ctags hides /usr/local/share/emacs/24.1.50/lisp/org/org-ctags
~/code/org-mode/lisp/org-icalendar hides /usr/local/share/emacs/24.1.50/lisp/org/org-icalendar
~/code/org-mode/lisp/ob-eval hides /usr/local/share/emacs/24.1.50/lisp/org/ob-eval
~/code/org-mode/lisp/org-docview hides /usr/local/share/emacs/24.1.50/lisp/org/org-docview
~/code/org-mode/lisp/org-indent hides /usr/local/share/emacs/24.1.50/lisp/org/org-indent
~/code/org-mode/lisp/ob-ref hides /usr/local/share/emacs/24.1.50/lisp/org/ob-ref
~/code/org-mode/lisp/org-table hides /usr/local/share/emacs/24.1.50/lisp/org/org-table
~/code/org-mode/lisp/org-special-blocks hides /usr/local/share/emacs/24.1.50/lisp/org/org-special-blocks
~/code/org-mode/lisp/ob-emacs-lisp hides /usr/local/share/emacs/24.1.50/lisp/org/ob-emacs-lisp
~/code/org-mode/lisp/org-freemind hides /usr/local/share/emacs/24.1.50/lisp/org/org-freemind
~/code/org-mode/lisp/org-crypt hides /usr/local/share/emacs/24.1.50/lisp/org/org-crypt
~/code/org-mode/lisp/ob-sass hides /usr/local/share/emacs/24.1.50/lisp/org/ob-sass
~/code/org-mode/lisp/org-plot hides /usr/local/share/emacs/24.1.50/lisp/org/org-plot
~/code/org-mode/lisp/org-datetree hides /usr/local/share/emacs/24.1.50/lisp/org/org-datetree
~/code/org-mode/lisp/org-mac-message hides /usr/local/share/emacs/24.1.50/lisp/org/org-mac-message
~/code/org-mode/lisp/org-bibtex hides /usr/local/share/emacs/24.1.50/lisp/org/org-bibtex
~/code/org-mode/lisp/org-macs hides /usr/local/share/emacs/24.1.50/lisp/org/org-macs
~/code/org-mode/lisp/ob hides /usr/local/share/emacs/24.1.50/lisp/org/ob
~/code/org-mode/lisp/ob-perl hides /usr/local/share/emacs/24.1.50/lisp/org/ob-perl
~/code/org-mode/lisp/ob-dot hides /usr/local/share/emacs/24.1.50/lisp/org/ob-dot
~/code/org-mode/lisp/ob-ruby hides /usr/local/share/emacs/24.1.50/lisp/org/ob-ruby
~/code/org-mode/lisp/ob-org hides /usr/local/share/emacs/24.1.50/lisp/org/ob-org
~/code/org-mode/lisp/ob-screen hides /usr/local/share/emacs/24.1.50/lisp/org/ob-screen
~/code/org-mode/lisp/ob-sqlite hides /usr/local/share/emacs/24.1.50/lisp/org/ob-sqlite
~/code/org-mode/lisp/org-info hides /usr/local/share/emacs/24.1.50/lisp/org/org-info
~/code/org-mode/lisp/org-inlinetask hides /usr/local/share/emacs/24.1.50/lisp/org/org-inlinetask
~/code/org-mode/lisp/ob-ledger hides /usr/local/share/emacs/24.1.50/lisp/org/ob-ledger
~/code/org-mode/lisp/org-timer hides /usr/local/share/emacs/24.1.50/lisp/org/org-timer
~/code/org-mode/lisp/org-wl hides /usr/local/share/emacs/24.1.50/lisp/org/org-wl
~/code/org-mode/lisp/ob-plantuml hides /usr/local/share/emacs/24.1.50/lisp/org/ob-plantuml
~/code/org-mode/lisp/ob-scheme hides /usr/local/share/emacs/24.1.50/lisp/org/ob-scheme
~/code/org-mode/lisp/org-remember hides /usr/local/share/emacs/24.1.50/lisp/org/org-remember
~/code/org-mode/lisp/org-feed hides /usr/local/share/emacs/24.1.50/lisp/org/org-feed
~/code/org-mode/lisp/org-id hides /usr/local/share/emacs/24.1.50/lisp/org/org-id
~/code/org-mode/lisp/ob-C hides /usr/local/share/emacs/24.1.50/lisp/org/ob-C
~/code/org-mode/lisp/ob-ditaa hides /usr/local/share/emacs/24.1.50/lisp/org/ob-ditaa
~/code/org-mode/lisp/org-entities hides /usr/local/share/emacs/24.1.50/lisp/org/org-entities
~/code/org-mode/lisp/ob-java hides /usr/local/share/emacs/24.1.50/lisp/org/ob-java
~/code/org-mode/lisp/org-bbdb hides /usr/local/share/emacs/24.1.50/lisp/org/org-bbdb
~/code/org-mode/lisp/org-w3m hides /usr/local/share/emacs/24.1.50/lisp/org/org-w3m
~/code/org-mode/lisp/ob-maxima hides /usr/local/share/emacs/24.1.50/lisp/org/ob-maxima
~/code/org-mode/lisp/org-taskjuggler hides /usr/local/share/emacs/24.1.50/lisp/org/org-taskjuggler
~/code/org-mode/lisp/org-mouse hides /usr/local/share/emacs/24.1.50/lisp/org/org-mouse
~/code/org-mode/lisp/ob-tangle hides /usr/local/share/emacs/24.1.50/lisp/org/ob-tangle
~/code/org-mode/lisp/ob-lilypond hides /usr/local/share/emacs/24.1.50/lisp/org/ob-lilypond
~/code/org-mode/lisp/ob-mscgen hides /usr/local/share/emacs/24.1.50/lisp/org/ob-mscgen
~/code/org-mode/lisp/ob-css hides /usr/local/share/emacs/24.1.50/lisp/org/ob-css
~/code/org-mode/lisp/org-protocol hides /usr/local/share/emacs/24.1.50/lisp/org/org-protocol
~/code/org-mode/lisp/ob-clojure hides /usr/local/share/emacs/24.1.50/lisp/org/ob-clojure
~/code/org-mode/lisp/ob-sh hides /usr/local/share/emacs/24.1.50/lisp/org/ob-sh
~/code/org-mode/lisp/org-compat hides /usr/local/share/emacs/24.1.50/lisp/org/org-compat
~/code/org-mode/lisp/org-vm hides /usr/local/share/emacs/24.1.50/lisp/org/org-vm
~/code/org-mode/lisp/org-latex hides /usr/local/share/emacs/24.1.50/lisp/org/org-latex
~/code/org-mode/lisp/ob-lob hides /usr/local/share/emacs/24.1.50/lisp/org/ob-lob
~/code/org-mode/lisp/org-html hides /usr/local/share/emacs/24.1.50/lisp/org/org-html
~/code/org-mode/lisp/ob-matlab hides /usr/local/share/emacs/24.1.50/lisp/org/ob-matlab
~/code/org-mode/lisp/org-pcomplete hides /usr/local/share/emacs/24.1.50/lisp/org/org-pcomplete
~/code/org-mode/lisp/org-gnus hides /usr/local/share/emacs/24.1.50/lisp/org/org-gnus
~/code/org-mode/lisp/org-irc hides /usr/local/share/emacs/24.1.50/lisp/org/org-irc
~/code/org-mode/lisp/org-faces hides /usr/local/share/emacs/24.1.50/lisp/org/org-faces
~/code/org-mode/lisp/org-attach hides /usr/local/share/emacs/24.1.50/lisp/org/org-attach
~/code/org-mode/lisp/org-exp-blocks hides /usr/local/share/emacs/24.1.50/lisp/org/org-exp-blocks
~/code/org-mode/lisp/org-jsinfo hides /usr/local/share/emacs/24.1.50/lisp/org/org-jsinfo
~/code/org-mode/lisp/org-publish hides /usr/local/share/emacs/24.1.50/lisp/org/org-publish
~/code/org-mode/lisp/ob-js hides /usr/local/share/emacs/24.1.50/lisp/org/ob-js
~/code/org-mode/lisp/ob-picolisp hides /usr/local/share/emacs/24.1.50/lisp/org/ob-picolisp
~/code/org-mode/lisp/ob-comint hides /usr/local/share/emacs/24.1.50/lisp/org/ob-comint
~/code/org-mode/lisp/org-colview hides /usr/local/share/emacs/24.1.50/lisp/org/org-colview
~/code/org-mode/lisp/org-docbook hides /usr/local/share/emacs/24.1.50/lisp/org/org-docbook
~/code/org-mode/lisp/ob-lisp hides /usr/local/share/emacs/24.1.50/lisp/org/ob-lisp
~/code/org-mode/lisp/ob-keys hides /usr/local/share/emacs/24.1.50/lisp/org/ob-keys
~/code/org-mode/lisp/org-capture hides /usr/local/share/emacs/24.1.50/lisp/org/org-capture
~/code/org-mode/lisp/ob-asymptote hides /usr/local/share/emacs/24.1.50/lisp/org/ob-asymptote
~/code/org-mode/lisp/org-mks hides /usr/local/share/emacs/24.1.50/lisp/org/org-mks
~/code/org-mode/lisp/org-odt hides /usr/local/share/emacs/24.1.50/lisp/org/org-odt
~/code/org-mode/lisp/ob-ocaml hides /usr/local/share/emacs/24.1.50/lisp/org/ob-ocaml
~/code/org-mode/lisp/ob-haskell hides /usr/local/share/emacs/24.1.50/lisp/org/ob-haskell
~/code/org-mode/lisp/org-ascii hides /usr/local/share/emacs/24.1.50/lisp/org/org-ascii
~/code/org-mode/lisp/org hides /usr/local/share/emacs/24.1.50/lisp/org/org
~/code/org-mode/lisp/org-clock hides /usr/local/share/emacs/24.1.50/lisp/org/org-clock
~/code/org-mode/lisp/org-agenda hides /usr/local/share/emacs/24.1.50/lisp/org/org-agenda
~/code/org-mode/lisp/org-lparse hides /usr/local/share/emacs/24.1.50/lisp/org/org-lparse
~/code/org-mode/lisp/org-rmail hides /usr/local/share/emacs/24.1.50/lisp/org/org-rmail
~/code/org-mode/lisp/org-mhe hides /usr/local/share/emacs/24.1.50/lisp/org/org-mhe
~/code/org-mode/lisp/ob-shen hides /usr/local/share/emacs/24.1.50/lisp/org/ob-shen
~/code/org-mode/lisp/org-footnote hides /usr/local/share/emacs/24.1.50/lisp/org/org-footnote
~/code/org-mode/lisp/org-src hides /usr/local/share/emacs/24.1.50/lisp/org/org-src
~/code/org-mode/lisp/ob-fortran hides /usr/local/share/emacs/24.1.50/lisp/org/ob-fortran
~/code/org-mode/lisp/org-list hides /usr/local/share/emacs/24.1.50/lisp/org/org-list
~/code/org-mode/lisp/ob-sql hides /usr/local/share/emacs/24.1.50/lisp/org/ob-sql
~/code/org-mode/lisp/org-exp hides /usr/local/share/emacs/24.1.50/lisp/org/org-exp
~/code/org-mode/lisp/org-beamer hides /usr/local/share/emacs/24.1.50/lisp/org/org-beamer
~/code/org-mode/lisp/org-mobile hides /usr/local/share/emacs/24.1.50/lisp/org/org-mobile
~/code/org-mode/lisp/ob-exp hides /usr/local/share/emacs/24.1.50/lisp/org/ob-exp
~/code/org-mode/lisp/org-archive hides /usr/local/share/emacs/24.1.50/lisp/org/org-archive
/home/terranpro/code/gnus/lisp/sasl hides /usr/local/share/emacs/24.1.50/lisp/net/sasl
/home/terranpro/code/gnus/lisp/dig hides /usr/local/share/emacs/24.1.50/lisp/net/dig
/home/terranpro/code/gnus/lisp/dns hides /usr/local/share/emacs/24.1.50/lisp/net/dns
/home/terranpro/code/gnus/lisp/imap hides /usr/local/share/emacs/24.1.50/lisp/net/imap
/home/terranpro/code/gnus/lisp/sasl-ntlm hides /usr/local/share/emacs/24.1.50/lisp/net/sasl-ntlm
/home/terranpro/code/gnus/lisp/ntlm hides /usr/local/share/emacs/24.1.50/lisp/net/ntlm
/home/terranpro/code/gnus/lisp/sasl-cram hides /usr/local/share/emacs/24.1.50/lisp/net/sasl-cram
/home/terranpro/code/gnus/lisp/netrc hides /usr/local/share/emacs/24.1.50/lisp/net/netrc
/home/terranpro/code/gnus/lisp/hmac-def hides /usr/local/share/emacs/24.1.50/lisp/net/hmac-def
/home/terranpro/code/gnus/lisp/hmac-md5 hides /usr/local/share/emacs/24.1.50/lisp/net/hmac-md5
/home/terranpro/code/gnus/lisp/tls hides /usr/local/share/emacs/24.1.50/lisp/net/tls
/home/terranpro/code/gnus/lisp/sasl-digest hides /usr/local/share/emacs/24.1.50/lisp/net/sasl-digest
/home/terranpro/code/gnus/lisp/uudecode hides /usr/local/share/emacs/24.1.50/lisp/mail/uudecode
/home/terranpro/code/gnus/lisp/binhex hides /usr/local/share/emacs/24.1.50/lisp/mail/binhex
/home/terranpro/code/gnus/lisp/hashcash hides /usr/local/share/emacs/24.1.50/lisp/mail/hashcash
/home/terranpro/code/gnus/lisp/gnus hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus
/home/terranpro/code/gnus/lisp/gnus-score hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-score
/home/terranpro/code/gnus/lisp/nnimap hides /usr/local/share/emacs/24.1.50/lisp/gnus/nnimap
/home/terranpro/code/gnus/lisp/gnus-start hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-start
/home/terranpro/code/gnus/lisp/mml2015 hides /usr/local/share/emacs/24.1.50/lisp/gnus/mml2015
/home/terranpro/code/gnus/lisp/gravatar hides /usr/local/share/emacs/24.1.50/lisp/gnus/gravatar
/home/terranpro/code/gnus/lisp/nnoo hides /usr/local/share/emacs/24.1.50/lisp/gnus/nnoo
/home/terranpro/code/gnus/lisp/gnus-undo hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-undo
/home/terranpro/code/gnus/lisp/nngateway hides /usr/local/share/emacs/24.1.50/lisp/gnus/nngateway
/home/terranpro/code/gnus/lisp/nnir hides /usr/local/share/emacs/24.1.50/lisp/gnus/nnir
/home/terranpro/code/gnus/lisp/gnus-fun hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-fun
/home/terranpro/code/gnus/lisp/gmm-utils hides /usr/local/share/emacs/24.1.50/lisp/gnus/gmm-utils
/home/terranpro/code/gnus/lisp/sieve-manage hides /usr/local/share/emacs/24.1.50/lisp/gnus/sieve-manage
/home/terranpro/code/gnus/lisp/ecomplete hides /usr/local/share/emacs/24.1.50/lisp/gnus/ecomplete
/home/terranpro/code/gnus/lisp/gnus-cite hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-cite
/home/terranpro/code/gnus/lisp/nnmh hides /usr/local/share/emacs/24.1.50/lisp/gnus/nnmh
/home/terranpro/code/gnus/lisp/mail-parse hides /usr/local/share/emacs/24.1.50/lisp/gnus/mail-parse
/home/terranpro/code/gnus/lisp/mml hides /usr/local/share/emacs/24.1.50/lisp/gnus/mml
/home/terranpro/code/gnus/lisp/smiley hides /usr/local/share/emacs/24.1.50/lisp/gnus/smiley
/home/terranpro/code/gnus/lisp/mail-prsvr hides /usr/local/share/emacs/24.1.50/lisp/gnus/mail-prsvr
/home/terranpro/code/gnus/lisp/nntp hides /usr/local/share/emacs/24.1.50/lisp/gnus/nntp
/home/terranpro/code/gnus/lisp/sieve-mode hides /usr/local/share/emacs/24.1.50/lisp/gnus/sieve-mode
/home/terranpro/code/gnus/lisp/gnus-async hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-async
/home/terranpro/code/gnus/lisp/gnus-range hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-range
/home/terranpro/code/gnus/lisp/mml-smime hides /usr/local/share/emacs/24.1.50/lisp/gnus/mml-smime
/home/terranpro/code/gnus/lisp/nndir hides /usr/local/share/emacs/24.1.50/lisp/gnus/nndir
/home/terranpro/code/gnus/lisp/gnus-sync hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-sync
/home/terranpro/code/gnus/lisp/utf7 hides /usr/local/share/emacs/24.1.50/lisp/gnus/utf7
/home/terranpro/code/gnus/lisp/gnus-setup hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-setup
/home/terranpro/code/gnus/lisp/pop3 hides /usr/local/share/emacs/24.1.50/lisp/gnus/pop3
/home/terranpro/code/gnus/lisp/score-mode hides /usr/local/share/emacs/24.1.50/lisp/gnus/score-mode
/home/terranpro/code/gnus/lisp/nnmaildir hides /usr/local/share/emacs/24.1.50/lisp/gnus/nnmaildir
/home/terranpro/code/gnus/lisp/nndraft hides /usr/local/share/emacs/24.1.50/lisp/gnus/nndraft
/home/terranpro/code/gnus/lisp/registry hides /usr/local/share/emacs/24.1.50/lisp/gnus/registry
/home/terranpro/code/gnus/lisp/mm-url hides /usr/local/share/emacs/24.1.50/lisp/gnus/mm-url
/home/terranpro/code/gnus/lisp/mm-util hides /usr/local/share/emacs/24.1.50/lisp/gnus/mm-util
/home/terranpro/code/gnus/lisp/mm-decode hides /usr/local/share/emacs/24.1.50/lisp/gnus/mm-decode
/home/terranpro/code/gnus/lisp/nnvirtual hides /usr/local/share/emacs/24.1.50/lisp/gnus/nnvirtual
/home/terranpro/code/gnus/lisp/gnus-bcklg hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-bcklg
/home/terranpro/code/gnus/lisp/nnbabyl hides /usr/local/share/emacs/24.1.50/lisp/gnus/nnbabyl
/home/terranpro/code/gnus/lisp/gnus-srvr hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-srvr
/home/terranpro/code/gnus/lisp/nnagent hides /usr/local/share/emacs/24.1.50/lisp/gnus/nnagent
/home/terranpro/code/gnus/lisp/nnmbox hides /usr/local/share/emacs/24.1.50/lisp/gnus/nnmbox
/home/terranpro/code/gnus/lisp/nnmail hides /usr/local/share/emacs/24.1.50/lisp/gnus/nnmail
/home/terranpro/code/gnus/lisp/nnspool hides /usr/local/share/emacs/24.1.50/lisp/gnus/nnspool
/home/terranpro/code/gnus/lisp/nneething hides /usr/local/share/emacs/24.1.50/lisp/gnus/nneething
/home/terranpro/code/gnus/lisp/mm-uu hides /usr/local/share/emacs/24.1.50/lisp/gnus/mm-uu
/home/terranpro/code/gnus/lisp/gnus-dup hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-dup
/home/terranpro/code/gnus/lisp/gnus-eform hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-eform
/home/terranpro/code/gnus/lisp/auth-source hides /usr/local/share/emacs/24.1.50/lisp/gnus/auth-source
/home/terranpro/code/gnus/lisp/nnfolder hides /usr/local/share/emacs/24.1.50/lisp/gnus/nnfolder
/home/terranpro/code/gnus/lisp/flow-fill hides /usr/local/share/emacs/24.1.50/lisp/gnus/flow-fill
/home/terranpro/code/gnus/lisp/nnml hides /usr/local/share/emacs/24.1.50/lisp/gnus/nnml
/home/terranpro/code/gnus/lisp/rtree hides /usr/local/share/emacs/24.1.50/lisp/gnus/rtree
/home/terranpro/code/gnus/lisp/gnus-spec hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-spec
/home/terranpro/code/gnus/lisp/nnmairix hides /usr/local/share/emacs/24.1.50/lisp/gnus/nnmairix
/home/terranpro/code/gnus/lisp/mm-partial hides /usr/local/share/emacs/24.1.50/lisp/gnus/mm-partial
/home/terranpro/code/gnus/lisp/gnus-topic hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-topic
/home/terranpro/code/gnus/lisp/messcompat hides /usr/local/share/emacs/24.1.50/lisp/gnus/messcompat
/home/terranpro/code/gnus/lisp/gnus-html hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-html
/home/terranpro/code/gnus/lisp/yenc hides /usr/local/share/emacs/24.1.50/lisp/gnus/yenc
/home/terranpro/code/gnus/lisp/mailcap hides /usr/local/share/emacs/24.1.50/lisp/gnus/mailcap
/home/terranpro/code/gnus/lisp/rfc2231 hides /usr/local/share/emacs/24.1.50/lisp/gnus/rfc2231
/home/terranpro/code/gnus/lisp/spam hides /usr/local/share/emacs/24.1.50/lisp/gnus/spam
/home/terranpro/code/gnus/lisp/gnus-kill hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-kill
/home/terranpro/code/gnus/lisp/legacy-gnus-agent hides /usr/local/share/emacs/24.1.50/lisp/gnus/legacy-gnus-agent
/home/terranpro/code/gnus/lisp/mml-sec hides /usr/local/share/emacs/24.1.50/lisp/gnus/mml-sec
/home/terranpro/code/gnus/lisp/gnus-msg hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-msg
/home/terranpro/code/gnus/lisp/gnus-bookmark hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-bookmark
/home/terranpro/code/gnus/lisp/gnus-ml hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-ml
/home/terranpro/code/gnus/lisp/mail-source hides /usr/local/share/emacs/24.1.50/lisp/gnus/mail-source
/home/terranpro/code/gnus/lisp/spam-stat hides /usr/local/share/emacs/24.1.50/lisp/gnus/spam-stat
/home/terranpro/code/gnus/lisp/qp hides /usr/local/share/emacs/24.1.50/lisp/gnus/qp
/home/terranpro/code/gnus/lisp/gnus-salt hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-salt
/home/terranpro/code/gnus/lisp/gnus-vm hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-vm
/home/terranpro/code/gnus/lisp/gnus-group hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-group
/home/terranpro/code/gnus/lisp/shr-color hides /usr/local/share/emacs/24.1.50/lisp/gnus/shr-color
/home/terranpro/code/gnus/lisp/gnus-gravatar hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-gravatar
/home/terranpro/code/gnus/lisp/gnus-art hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-art
/home/terranpro/code/gnus/lisp/spam-report hides /usr/local/share/emacs/24.1.50/lisp/gnus/spam-report
/home/terranpro/code/gnus/lisp/mm-view hides /usr/local/share/emacs/24.1.50/lisp/gnus/mm-view
/home/terranpro/code/gnus/lisp/canlock hides /usr/local/share/emacs/24.1.50/lisp/gnus/canlock
/home/terranpro/code/gnus/lisp/rfc2047 hides /usr/local/share/emacs/24.1.50/lisp/gnus/rfc2047
/home/terranpro/code/gnus/lisp/message hides /usr/local/share/emacs/24.1.50/lisp/gnus/message
/home/terranpro/code/gnus/lisp/gnus-util hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-util
/home/terranpro/code/gnus/lisp/html2text hides /usr/local/share/emacs/24.1.50/lisp/gnus/html2text
/home/terranpro/code/gnus/lisp/ietf-drums hides /usr/local/share/emacs/24.1.50/lisp/gnus/ietf-drums
/home/terranpro/code/gnus/lisp/gnus-mh hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-mh
/home/terranpro/code/gnus/lisp/mm-extern hides /usr/local/share/emacs/24.1.50/lisp/gnus/mm-extern
/home/terranpro/code/gnus/lisp/mm-bodies hides /usr/local/share/emacs/24.1.50/lisp/gnus/mm-bodies
/home/terranpro/code/gnus/lisp/spam-wash hides /usr/local/share/emacs/24.1.50/lisp/gnus/spam-wash
/home/terranpro/code/gnus/lisp/gnus-agent hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-agent
/home/terranpro/code/gnus/lisp/gssapi hides /usr/local/share/emacs/24.1.50/lisp/gnus/gssapi
/home/terranpro/code/gnus/lisp/smime hides /usr/local/share/emacs/24.1.50/lisp/gnus/smime
/home/terranpro/code/gnus/lisp/gnus-sum hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-sum
/home/terranpro/code/gnus/lisp/gnus-picon hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-picon
/home/terranpro/code/gnus/lisp/nnregistry hides /usr/local/share/emacs/24.1.50/lisp/gnus/nnregistry
/home/terranpro/code/gnus/lisp/gnus-cus hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-cus
/home/terranpro/code/gnus/lisp/gnus-diary hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-diary
/home/terranpro/code/gnus/lisp/nndiary hides /usr/local/share/emacs/24.1.50/lisp/gnus/nndiary
/home/terranpro/code/gnus/lisp/gnus-dired hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-dired
/home/terranpro/code/gnus/lisp/shr hides /usr/local/share/emacs/24.1.50/lisp/gnus/shr
/home/terranpro/code/gnus/lisp/nnweb hides /usr/local/share/emacs/24.1.50/lisp/gnus/nnweb
/home/terranpro/code/gnus/lisp/gnus-int hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-int
/home/terranpro/code/gnus/lisp/gnus-ems hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-ems
/home/terranpro/code/gnus/lisp/starttls hides /usr/local/share/emacs/24.1.50/lisp/gnus/starttls
/home/terranpro/code/gnus/lisp/nnheader hides /usr/local/share/emacs/24.1.50/lisp/gnus/nnheader
/home/terranpro/code/gnus/lisp/gnus-mlspl hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-mlspl
/home/terranpro/code/gnus/lisp/gnus-demon hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-demon
/home/terranpro/code/gnus/lisp/rfc1843 hides /usr/local/share/emacs/24.1.50/lisp/gnus/rfc1843
/home/terranpro/code/gnus/lisp/gnus-draft hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-draft
/home/terranpro/code/gnus/lisp/gnus-registry hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-registry
/home/terranpro/code/gnus/lisp/gnus-uu hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-uu
/home/terranpro/code/gnus/lisp/nndoc hides /usr/local/share/emacs/24.1.50/lisp/gnus/nndoc
/home/terranpro/code/gnus/lisp/gnus-sieve hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-sieve
/home/terranpro/code/gnus/lisp/mml1991 hides /usr/local/share/emacs/24.1.50/lisp/gnus/mml1991
/home/terranpro/code/gnus/lisp/sieve hides /usr/local/share/emacs/24.1.50/lisp/gnus/sieve
/home/terranpro/code/gnus/lisp/plstore hides /usr/local/share/emacs/24.1.50/lisp/gnus/plstore
/home/terranpro/code/gnus/lisp/rfc2045 hides /usr/local/share/emacs/24.1.50/lisp/gnus/rfc2045
/home/terranpro/code/gnus/lisp/.dir-locals hides /usr/local/share/emacs/24.1.50/lisp/gnus/.dir-locals
/home/terranpro/code/gnus/lisp/gnus-win hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-win
/home/terranpro/code/gnus/lisp/mm-encode hides /usr/local/share/emacs/24.1.50/lisp/gnus/mm-encode
/home/terranpro/code/gnus/lisp/nnnil hides /usr/local/share/emacs/24.1.50/lisp/gnus/nnnil
/home/terranpro/code/gnus/lisp/rfc2104 hides /usr/local/share/emacs/24.1.50/lisp/gnus/rfc2104
/home/terranpro/code/gnus/lisp/deuglify hides /usr/local/share/emacs/24.1.50/lisp/gnus/deuglify
/home/terranpro/code/gnus/lisp/nnrss hides /usr/local/share/emacs/24.1.50/lisp/gnus/nnrss
/home/terranpro/code/gnus/lisp/gnus-delay hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-delay
/home/terranpro/code/gnus/lisp/gnus-logic hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-logic
/home/terranpro/code/gnus/lisp/gnus-cache hides /usr/local/share/emacs/24.1.50/lisp/gnus/gnus-cache
/home/terranpro/code/gnus/lisp/compface hides /usr/local/share/emacs/24.1.50/lisp/gnus/compface
/home/terranpro/code/cedet/eieio/eieio hides /usr/local/share/emacs/24.1.50/lisp/emacs-lisp/eieio
/home/terranpro/code/cedet/eieio/eieio-opt hides /usr/local/share/emacs/24.1.50/lisp/emacs-lisp/eieio-opt
/home/terranpro/code/cedet/eieio/eieio-base hides /usr/local/share/emacs/24.1.50/lisp/emacs-lisp/eieio-base
/home/terranpro/code/cedet/eieio/chart hides /usr/local/share/emacs/24.1.50/lisp/emacs-lisp/chart
/home/terranpro/code/cedet/eieio/eieio-datadebug hides /usr/local/share/emacs/24.1.50/lisp/emacs-lisp/eieio-datadebug
/home/terranpro/code/cedet/eieio/eieio-speedbar hides /usr/local/share/emacs/24.1.50/lisp/emacs-lisp/eieio-speedbar
/home/terranpro/code/cedet/eieio/eieio-custom hides /usr/local/share/emacs/24.1.50/lisp/emacs-lisp/eieio-custom
/home/terranpro/code/cedet/semantic/semantic hides /usr/local/share/emacs/24.1.50/lisp/cedet/semantic
/home/terranpro/code/cedet/ede/ede hides /usr/local/share/emacs/24.1.50/lisp/cedet/ede
/home/terranpro/code/cedet/common/data-debug hides /usr/local/share/emacs/24.1.50/lisp/cedet/data-debug
/home/terranpro/code/cedet/common/cedet-cscope hides /usr/local/share/emacs/24.1.50/lisp/cedet/cedet-cscope
/home/terranpro/code/cedet/common/cedet-files hides /usr/local/share/emacs/24.1.50/lisp/cedet/cedet-files
/home/terranpro/code/cedet/common/mode-local hides /usr/local/share/emacs/24.1.50/lisp/cedet/mode-local
/home/terranpro/code/cedet/srecode/srecode hides /usr/local/share/emacs/24.1.50/lisp/cedet/srecode
/home/terranpro/code/cedet/common/cedet hides /usr/local/share/emacs/24.1.50/lisp/cedet/cedet
/home/terranpro/code/cedet/common/pulse hides /usr/local/share/emacs/24.1.50/lisp/cedet/pulse
/home/terranpro/code/cedet/common/inversion hides /usr/local/share/emacs/24.1.50/lisp/cedet/inversion
/home/terranpro/code/cedet/common/cedet-global hides /usr/local/share/emacs/24.1.50/lisp/cedet/cedet-global
/home/terranpro/code/cedet/common/cedet-idutils hides /usr/local/share/emacs/24.1.50/lisp/cedet/cedet-idutils
/home/terranpro/code/gnus/lisp/parse-time hides /usr/local/share/emacs/24.1.50/lisp/calendar/parse-time
/home/terranpro/code/gnus/lisp/time-date hides /usr/local/share/emacs/24.1.50/lisp/calendar/time-date
/home/terranpro/code/gnus/lisp/pgg-pgp5 hides /usr/local/share/emacs/24.1.50/lisp/obsolete/pgg-pgp5
/home/terranpro/code/gnus/lisp/pgg hides /usr/local/share/emacs/24.1.50/lisp/obsolete/pgg
/home/terranpro/code/gnus/lisp/pgg-parse hides /usr/local/share/emacs/24.1.50/lisp/obsolete/pgg-parse
/home/terranpro/code/gnus/lisp/pgg-gpg hides /usr/local/share/emacs/24.1.50/lisp/obsolete/pgg-gpg
/home/terranpro/code/gnus/lisp/pgg-def hides /usr/local/share/emacs/24.1.50/lisp/obsolete/pgg-def
/home/terranpro/code/gnus/lisp/pgg-pgp hides /usr/local/share/emacs/24.1.50/lisp/obsolete/pgg-pgp

Features:
(shadow sort mail-extr emacsbug message rfc822 mml mml-sec mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
semantic-tag-write erc-imenu semanticdb-typecache semantic-tag-file
add-log ede-emacs vc-bzr semanticdb-file cedet-files semantic-c
semantic-gcc hideif semantic-c-by semantic-lex-spp cc-langs cc-mode
cc-fonts cc-guess cc-menus cc-cmds gnutls network-stream starttls
erc-menu erc-join auth-source gnus-util password-cache erc-ring
erc-networks erc-track erc-match erc-button erc-fill erc-stamp
erc-netsplit erc-pcomplete semantic-el semantic-bovine bovine-debug
semantic-debug paredit yasnippet dropdown-list org-drill org-learn
org-id hi-lock ob-plantuml ob-ditaa org-habit org-latex org-export-latex
org-beamer org-exp ob-exp org-exp-blocks org-agenda org ob-emacs-lisp
ob-tangle ob-ref ob-lob ob-table org-footnote org-src ob-comint ob-keys
ob ob-eval org-pcomplete pcomplete comint ansi-color org-list org-faces
org-compat org-entities org-macs noutline outline easy-mmode cal-menu
calendar cal-loaddefs footnote org-install tls erc-goodies erc
erc-backend erc-compat format-spec thingatpt pp color-theme-solarized
solarized-definitions color-theme sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils reporter bbdb timezone bbdb-loaddefs
w3m-load gnus-load semanticdb-global semantic-symref-global
semantic-symref cedet-global cedet-cscope cogre-uml cogre eieio-opt
help-mode view semantic-dep semantic-decorate-include semanticdb-find
semantic-decorate-mode semantic-decorate pulse semantic-m3
semantic-analyze-refs cedet-m3 semantic-mru-bookmark semanticdb-mode
semantic-idle eldoc srecode-mode senator ring which-func semantic-imenu
semantic-sb imenu cogre-srecode semantic-edit srecode-template-mode
srecode-template srecode-template-wy semantic-wisent wisent srecode-map
srecode-insert srecode-args srecode-dictionary srecode-find srecode-ctxt
srecode-compile srecode-table cedet cedet-contrib-load contrib-loaddefs
cogre-load cogre-loaddefs speedbar-load speedbar-loaddefs sb-info
ede-load ede-loaddefs ede-speedbar ede-files ede ede-base ede-auto
eieio-speedbar semantic-ia-sb semantic-analyze semantic-scope
semantic-analyze-fcn semantic-sort semanticdb-javap cedet-java
semanticdb-el semanticdb-ref semantic-find semanticdb semantic-ctxt
semantic-format semantic-util-modes semantic-util semantic semantic-lex
semantic-tag-ls semantic-tag working fame speedbar sb-image ezimage
dframe assoc eieio-custom ede-source eieio-base srecode-load srecode
srecode-loaddefs semantic-load semantic-fw semantic-loaddefs mode-local
find-func eieio-load eieio-loaddefs cedet-load cedet-compat
cedet-loaddefs eieio warnings advice advice-preload byte-opt bytecomp
byte-compile cconv inversion muse-wiki muse-colors muse-docbook
muse-texinfo texnfo-upd texinfo muse-latex muse-html muse-xml-common
cus-edit cus-start cus-load muse-publish muse-project muse-protocols
info easymenu muse-regexps wid-edit derived muse muse-nested-tags
muse-mode htmlize help-fns cl-macs cl macroexp cl-lib brian-config
cc-styles cc-align cc-engine cc-vars cc-defs dired ido edmacro kmacro
time-date tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty emacs)




Acknowledgement sent to Brian Fransioli <assem@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#11697; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 4 Feb 2016 06:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.